import { ReducersMapObject } from 'redux';
import signInReducer from '@overflow/member/redux/reducer/signIn';

// Container Configuration
export interface ContainerConfig {
  placeholderID: string;
}
const containerConfig: ContainerConfig = {
  placeholderID: 'appContainer',
};

// RPC Server Configuration
export interface RPCConfig {
  url: string;
}
const rpcConfig: RPCConfig = {
  url: 'ws://127.0.0.1:18081/rpc',
};

// Redux Configuration
export interface ReduxConfig {
  state: ReduxState;
  reducerMaps: ReducersMapObject[];
}
export interface ReduxState {

}
const reduxState: ReduxState = {};

const reduxConfig: ReduxConfig = {
  state: reduxState,
  reducerMaps: [
    signInReducer,
  ],
};


// Configuration
export interface Config {
  container: ContainerConfig;
  rpc: RPCConfig;
  redux: ReduxConfig;
}

const config: Config = {
  container: containerConfig,
  rpc: rpcConfig,
  redux: reduxConfig,
};

export default config;
