import Action from './Action';
import * as Redux from 'redux';

// export type Reducer<S> = <A extends Action>(state: S, action: A) => S;

// export interface ReducersMapObject {
//   [key: string]: Reducer<any>;
// }

const createReducer = <State>(initialState: State, handlers: Redux.ReducersMapObject): Redux.Reducer<State> => {
  return <A extends Action>(state: State = initialState, action: A): State => {
    if (handlers[action.type]) {
      return handlers[action.type](state, action);
    }
    return state;
  };
};

export default createReducer;
